pr0gramm.com API (0.1.0)

Download OpenAPI specification:

OpenAPI spec for pr0gramm.com. At the current state, pr0gramm's API is considered unstable and is not versioned.

However, we try to avoid large breaking changes but cannot give any guarantee that it won't happen. You can join our Discord Server and get notified on when are about to deploy breaking API changes. Our discord community is open for everyone who wants to develop anything that has to do with pr0gramm and/or uses the API. Bots, services, User Scripts; you name it.

avatar

Uploads a new avatar and activates it. Resizes to 512×512 PNG.

Uploads a new avatar and activates it. Resizes to 512×512 PNG.

Authorizations:
csrfProtected
Request Body schema: multipart/form-data
required
image
required
string <binary> (File)

Some file to upload. File type depends on the endpoint in question.

Responses

Response samples

Content type
application/json
{
  • "id": 0,
  • "filename": "string"
}

Removes the active avatar.

Removes the active avatar.

Authorizations:
csrfProtected

Responses

Response samples

Content type
application/json
{
  • "success": true
}

bookmarks

Gets the bookmarks currently available for the user. Includes trending stuff. Will return default bookmarks for non-logged-in users.

Gets the bookmarks currently available for the user. Includes trending stuff. Will return default bookmarks for non-logged-in users.

query Parameters
default
boolean

Responses

Response samples

Content type
application/json
{
  • "collections": [
    ],
  • "bookmarks": [
    ],
  • "trending": [
    ]
}

Adds something to the bookmarks of the user. Returns the same as the get endpoint.

Adds something to the bookmarks of the user. Returns the same as the get endpoint.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
name
required
string
link
required
string

Responses

Response samples

Content type
application/json
{
  • "collections": [
    ],
  • "bookmarks": [
    ],
  • "trending": [
    ]
}

Removes something from the bookmarks of the user. Returns the same as the get endpoint.

Removes something from the bookmarks of the user. Returns the same as the get endpoint.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
name
required
string

Responses

Response samples

Content type
application/json
{
  • "collections": [
    ],
  • "bookmarks": [
    ],
  • "trending": [
    ]
}

Records a click on a bookmark for the BookmarkBar auto-sorting.

Records a click on a bookmark for the BookmarkBar auto-sorting.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
name
required
string

Responses

Response samples

Content type
application/json
{ }

calendar

Gets all upcoming calendar events

Gets all upcoming calendar events

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "events": [
    ],
  • "error": "string"
}

Gets calendar events for a specific date range

Gets calendar events for a specific date range

query Parameters
startTimestamp
required
integer
endTimestamp
required
integer

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "events": [
    ],
  • "error": "string"
}

Gets a specific calendar event by its ID

Gets a specific calendar event by its ID

query Parameters
eventId
required
integer

Responses

Response samples

Content type
application/json
Example
{
  • "success": false,
  • "error": "notFound"
}

Signs up the current user for an event or updates an existing registration.

Signs up the current user for an event or updates an existing registration.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
eventId
required
integer
signupType
any (SignupType)
Enum: "confirmed" "tentative"
reminderPmEnabled
boolean
reminderEmailEnabled
boolean

Responses

Response samples

Content type
application/json
Example
{
  • "success": false,
  • "error": "notFound"
}

Unregisters the current user from an event.

Unregisters the current user from an event.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
eventId
required
integer

Responses

Response samples

Content type
application/json
Example
{
  • "success": false,
  • "error": "notFound"
}

Gets registrations (users) for a specific event, optionally paginated and filtered.

Gets registrations (users) for a specific event, optionally paginated and filtered.

query Parameters
eventId
required
integer
query
string
limit
integer
offset
integer

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "signups": [
    ],
  • "total": 0,
  • "error": "string"
}

Gets all events the current user is registered for.

Gets all events the current user is registered for.

Authorizations:
pr0Auth

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "events": [
    ],
  • "error": "string"
}

Gets the current user's registration for a specific event.

Gets the current user's registration for a specific event.

Authorizations:
pr0Auth
query Parameters
eventId
required
integer

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "signup": {
    },
  • "error": "string"
}

collections

Gets the collections (public and private) of the current user.

Gets the collections (public and private) of the current user.

Authorizations:
pr0Auth
query Parameters
thumbs
integer

Responses

Response samples

Content type
application/json
{
  • "collections": [
    ],
  • "curatorCollections": [
    ]
}

Returns the collections that an item is a member of, specific to the current user.

Returns the collections that an item is a member of, specific to the current user.

Authorizations:
pr0Auth
query Parameters
itemId
required
integer <int64> (ItemId)

Numeric ID of an item/upload.

Responses

Response samples

Content type
application/json
{
  • "collections": [
    ]
}

Creates a new collection.

Creates a new collection.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
name
required
string
isPublic
required
boolean
isDefault
required
boolean

Responses

Response samples

Content type
application/json
Example
{
  • "success": false,
  • "error": "nameInvalid"
}

Sets a collection as default

Sets a collection as default

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
collectionId
required
integer <int64> (CollectionId)

Numeric ID of a collection.

Responses

Response samples

Content type
application/json
{
  • "collections": [
    ],
  • "curatorCollections": [
    ]
}

Used to set some settings on a collection. For example, visibility and its name.

Used to set some settings on a collection. For example, visibility and its name.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
name
required
string
collectionId
required
integer <int64> (CollectionId)

Numeric ID of a collection.

isPublic
required
boolean
isDefault
boolean

Responses

Response samples

Content type
application/json
Example
{
  • "success": false,
  • "error": "nameInvalid"
}

Adds a user as a curator to a collection.

Adds a user as a curator to a collection.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
userName
required
string (UserName)

The name of a user.

collectionId
required
integer <int64> (CollectionId)

Numeric ID of a collection.

Responses

Response samples

Content type
application/json
Example
{
  • "success": false,
  • "error": "canNotAddSelf"
}

Removes a user as a curator from a collection.

Removes a user as a curator from a collection.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
userName
required
string (UserName)

The name of a user.

collectionId
required
integer <int64> (CollectionId)

Numeric ID of a collection.

Responses

Response samples

Content type
application/json
Example
{
  • "success": false,
  • "error": "collectionNotFound"
}

Accepts an invitation to become a curator of a specific collection.

Accepts an invitation to become a curator of a specific collection.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
collectionId
required
integer <int64> (CollectionId)

Numeric ID of a collection.

Responses

Response samples

Content type
application/json
{ }

Ignores (dismisses) an invitation to become a curator of a specific collection.

Ignores (dismisses) an invitation to become a curator of a specific collection.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
collectionId
required
integer <int64> (CollectionId)

Numeric ID of a collection.

Responses

Response samples

Content type
application/json
{ }

Allows the potential curator to accept the invite again.

Allows the potential curator to accept the invite again.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
collectionId
required
integer <int64> (CollectionId)

Numeric ID of a collection.

Responses

Response samples

Content type
application/json
{ }

Deletes a collection. ¯\_(ツ)_/¯

Deletes a collection. ¯_(ツ)_/¯

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
collectionId
required
integer <int64> (CollectionId)

Numeric ID of a collection.

Responses

Response samples

Content type
application/json
Example
{
  • "success": false,
  • "error": "cannotDeleteDefault"
}

Well, adds an item to some collection.

Well, adds an item to some collection.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
collectionId
integer <int64> (CollectionId)

Numeric ID of a collection.

itemId
required
integer <int64> (ItemId)

Numeric ID of an item/upload.

Responses

Response samples

Content type
application/json
Example
{
  • "success": false,
  • "error": "cannotModifyNonDefault"
}

Well, removes an item from some collection.

Well, removes an item from some collection.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
collectionId
required
integer <int64> (CollectionId)

Numeric ID of a collection.

itemId
required
integer <int64> (ItemId)

Numeric ID of an item/upload.

Responses

Response samples

Content type
application/json
Example
{
  • "success": false,
  • "error": "collectionNotFound"
}

Batch-copies items that match all specified tags from a source collection to a destination collection

Batch-copies items that match all specified tags from a source collection to a destination collection

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
collectionId
required
integer <int64> (CollectionId)

Numeric ID of a collection.

destinationCollectionId
required
integer <int64> (CollectionId)

Numeric ID of a collection.

tags
required
string (CommaSeparatedTags)

Comma-separated list of tags in a single string.

Responses

Response samples

Content type
application/json
{
  • "error": "string"
}

Batch-moves items that match all specified tags from a source collection to a destination collection

Batch-moves items that match all specified tags from a source collection to a destination collection

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
collectionId
required
integer <int64> (CollectionId)

Numeric ID of a collection.

destinationCollectionId
required
integer <int64> (CollectionId)

Numeric ID of a collection.

tags
required
string (CommaSeparatedTags)

Comma-separated list of tags in a single string.

Responses

Response samples

Content type
application/json
{
  • "error": "string"
}

Well, follows a collection.

Well, follows a collection.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
collectionId
required
integer <int64> (CollectionId)

Numeric ID of a collection.

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "error": "string"
}

Well, unfollows a collection.

Well, unfollows a collection.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
collectionId
required
integer <int64> (CollectionId)

Numeric ID of a collection.

Responses

Response samples

Content type
application/json
{
  • "success": true
}

Records a click on a collection for the BookmarkBar auto-sorting.

Records a click on a collection for the BookmarkBar auto-sorting.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
collectionId
required
integer <int64> (CollectionId)

Numeric ID of a collection.

Responses

Response samples

Content type
application/json
{ }

comments

Gets preview data that is usually displayed as a preview when hovering over a link to a comment.

Gets preview data that is usually displayed as a preview when hovering over a link to a comment.

Authorizations:
pr0Auth
query Parameters
identifier
required
integer <int64> (CommentId)

Numeric ID of a comment.

Responses

Response samples

Content type
application/json
{
  • "preview": {
    }
}

Posts a comment.

Posts a comment.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
itemId
required
integer <int64> (ItemId)

Numeric ID of an item/upload.

parentId
required
integer <int64> (CommentId)

Numeric ID of a comment.

comment
required
string

Responses

Response samples

Content type
application/json
Example
{
  • "success": false,
  • "error": "commentTooSoon"
}

Edits the requesting user's own comment within a 5-minute window after posting. The edit creates a history entry visible to all logged-in users.

Edits the requesting user's own comment within a 5-minute window after posting. The edit creates a history entry visible to all logged-in users.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
commentId
required
integer <int64> (CommentId)

Numeric ID of a comment.

comment
required
string

Responses

Response samples

Content type
application/json
Example
{
  • "success": false,
  • "error": "commentNotFound"
}

Returns the full edit history of a comment (visible to all logged-in users for transparency).

Returns the full edit history of a comment (visible to all logged-in users for transparency).

Authorizations:
pr0Auth
query Parameters
id
required
integer <int64> (CommentId)

Numeric ID of a comment.

Responses

Response samples

Content type
application/json
{
  • "versions": [
    ]
}

Casts a vote on a comment. A vote of 2 means "fav".

Casts a vote on a comment. A vote of 2 means "fav".

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
id
required
integer <int64> (CommentId)

Numeric ID of a comment.

vote
required
any (CommentVote)
Enum: -1 0 1 2

Responses

Response samples

Content type
application/json
{ }

Adds a comment to the user's favorites.

Adds a comment to the user's favorites.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
id
required
integer <int64> (CommentId)

Numeric ID of a comment.

Responses

Response samples

Content type
application/json
{ }

Removes a comment from the user's favorites.

Removes a comment from the user's favorites.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
id
required
integer <int64> (CommentId)

Numeric ID of a comment.

Responses

Response samples

Content type
application/json
{ }

events

Returns currently active event stages for frontend integration.

Returns currently active event stages for frontend integration.

Responses

Response samples

Content type
application/json
{
  • "events": [
    ]
}

faq

Pre-defined reasons to ban a user for

Pre-defined reasons to ban a user for

query Parameters
type
required
integer
itemId
integer <int64> (ItemId)

Numeric ID of an item/upload.

commentId
integer <int64> (CommentId)

Numeric ID of a comment.

Responses

Response samples

Content type
application/json
{
  • "preferredReason": "string",
  • "rules": [
    ]
}

Basic rules.

Basic rules.

Responses

Response samples

Content type
application/json
{
  • "rules": [
    ]
}

Returns the changelog.

Returns the changelog.

query Parameters
page
integer
itemsPerPage
integer

Responses

Response samples

Content type
application/json
{
  • "changes": [
    ],
  • "pagination": {
    }
}

Gets faq sub categories with articles for given category name

Gets faq sub categories with articles for given category name

query Parameters
category
required
string (Slug)

Alphanumeric URL-safe string. See: https://www.semrush.com/blog/what-is-a-url-slug/

Responses

Response samples

Content type
application/json
{
  • "categories": [
    ],
  • "articles": [
    ]
}

Gets an article with related articles for given article name

Gets an article with related articles for given article name

query Parameters
article
required
string (Slug)

Alphanumeric URL-safe string. See: https://www.semrush.com/blog/what-is-a-url-slug/

Responses

Response samples

Content type
application/json
{
  • "article": {
    },
  • "related": [
    ]
}

searches for an article with given search string

searches for an article with given search string

query Parameters
search
required
string

Responses

Response samples

Content type
application/json
{
  • "results": [
    ]
}

Gets articles flagged as promoted

Gets articles flagged as promoted

Responses

Response samples

Content type
application/json
{
  • "articles": [
    ]
}

gets category, article or performs a search

gets category, article or performs a search

query Parameters
article
string (Slug)

Alphanumeric URL-safe string. See: https://www.semrush.com/blog/what-is-a-url-slug/

category
string
search
string

Responses

Response samples

Content type
application/json
Example
{
  • "categories": [
    ],
  • "articles": [
    ]
}

Everything we have.

Everything we have.

Responses

Response samples

Content type
application/json
{
  • "categories": [
    ],
  • "article": [
    ]
}

gamekeys

Feature-Profil, Punktestand, offene Claims und Config der Game-Key-Börse.

Feature-Profil, Punktestand, offene Claims und Config der Game-Key-Börse.

Authorizations:
pr0Auth

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "config": {
    },
  • "eligible": true,
  • "eligibilityReason": "string",
  • "enrolled": true,
  • "profile": {
    },
  • "balance": 0,
  • "stats": {
    },
  • "openClaims": [
    ],
  • "drawBlockedUntil": 0
}

Opt-in zur Game-Key-Börse (mit Startguthaben).

Opt-in zur Game-Key-Börse (mit Startguthaben).

Authorizations:
csrfProtected

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "error": "string",
  • "balance": 0
}

Spiele-Suche über IGDB (Titel oder Store-URL).

Spiele-Suche über IGDB (Titel oder Store-URL).

Authorizations:
pr0Auth
query Parameters
q
string
storeUrl
string

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "error": "string",
  • "matches": [
    ]
}

Löst ein Spiel inkl. Preis und Preisstufe auf (Bestätigungs-Schritt beim Einstellen).

Löst ein Spiel inkl. Preis und Preisstufe auf (Bestätigungs-Schritt beim Einstellen).

Authorizations:
pr0Auth
query Parameters
igdbId
required
integer

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "error": "string",
  • "game": {
    }
}

Spiel-Detailseite: IGDB-Metadaten, Screenshots und Store-Links zu einem Spiel.

Spiel-Detailseite: IGDB-Metadaten, Screenshots und Store-Links zu einem Spiel.

Authorizations:
pr0Auth
query Parameters
igdbId
required
integer

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "error": "string",
  • "game": {
    },
  • "details": {
    }
}

Stellt einen Game-Key ein (Wundertüte oder Verlosung). Der Key wird nur einem Format-Check unterzogen, keiner Gültigkeitsprüfung. Mit donate=true verzichtet der Geber dauerhaft auf die Punkte-Gutschrift (Verschenken).

Stellt einen Game-Key ein (Wundertüte oder Verlosung). Der Key wird nur einem Format-Check unterzogen, keiner Gültigkeitsprüfung. Mit donate=true verzichtet der Geber dauerhaft auf die Punkte-Gutschrift (Verschenken).

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
igdbId
required
integer
platform
required
string
region
required
string
key
required
string
type
required
string
raffleDurationHours
integer
donate
boolean
note
string

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "error": "string",
  • "offerId": 0,
  • "raffleId": 0
}

Zieht einen eigenen, noch nicht gezogenen Wundertüten-Key zurück.

Zieht einen eigenen, noch nicht gezogenen Wundertüten-Key zurück.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
offerId
required
integer

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "error": "string"
}

Pool-Übersicht: Anzahl verfügbarer Keys je Preisstufe und Plattform.

Pool-Übersicht: Anzahl verfügbarer Keys je Preisstufe und Plattform.

Authorizations:
pr0Auth

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "pools": [
    ]
}

Wundertüte: zieht einen zufälligen Key der gewählten Preisstufe. Das Spiel wird aufgedeckt, der Key erst nach explizitem Reveal. Nach zu vielen Weiterlegen-Aktionen innerhalb von 24 Stunden blockiert (putBackLimitReached).

Wundertüte: zieht einen zufälligen Key der gewählten Preisstufe. Das Spiel wird aufgedeckt, der Key erst nach explizitem Reveal. Nach zu vielen Weiterlegen-Aktionen innerhalb von 24 Stunden blockiert (putBackLimitReached).

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
tier
required
integer
platform
string

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "error": "string",
  • "claim": {
    }
}

Legt einen gezogenen, noch nicht aufgedeckten Key zurück in den Pool (voller Punkte-Refund). Immer möglich; das Weiterlegen-Tageslimit blockiert stattdessen den nächsten Draw.

Legt einen gezogenen, noch nicht aufgedeckten Key zurück in den Pool (voller Punkte-Refund). Immer möglich; das Weiterlegen-Tageslimit blockiert stattdessen den nächsten Draw.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
offerId
required
integer

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "error": "string"
}

Deckt den Key eines Claims auf. Das erste Reveal ist endgültig: danach ist Weiterlegen nicht mehr möglich.

Deckt den Key eines Claims auf. Das erste Reveal ist endgültig: danach ist Weiterlegen nicht mehr möglich.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
offerId
required
integer

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "error": "string",
  • "key": "string",
  • "region": "string"
}

Einlöse-Rückmeldung des Nehmers: geklappt, schon eingelöst, falsche Region oder ungültig. Die Meldung ist der Dispute — bei Fail gibt es die Punkte automatisch zurück und der Geber erhält einen Strike. Der optionale Freitext-Grund (note) ist nur für die Moderation sichtbar.

Einlöse-Rückmeldung des Nehmers: geklappt, schon eingelöst, falsche Region oder ungültig. Die Meldung ist der Dispute — bei Fail gibt es die Punkte automatisch zurück und der Geber erhält einen Strike. Der optionale Freitext-Grund (note) ist nur für die Moderation sichtbar.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
offerId
required
integer
result
required
string
note
string

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "error": "string"
}

Verlosungen (Filter: all, mine, entered). "all" listet nur laufende; mine/entered enthalten auch beendete (drawn/cancelled), laufende zuerst.

Verlosungen (Filter: all, mine, entered). "all" listet nur laufende; mine/entered enthalten auch beendete (drawn/cancelled), laufende zuerst.

Authorizations:
pr0Auth
query Parameters
filter
string
page
integer

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "serverNow": 0,
  • "atEnd": true,
  • "raffles": [
    ]
}

Die Top-Verlosungen für die Highlight-Sektion: Ranking aus bereits gekauften Losen (am stärksten gewichtet), Store-Preis und Release-Datum (aktueller = besser).

Die Top-Verlosungen für die Highlight-Sektion: Ranking aus bereits gekauften Losen (am stärksten gewichtet), Store-Preis und Release-Datum (aktueller = besser).

Authorizations:
pr0Auth

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "serverNow": 0,
  • "raffles": [
    ]
}

Detail einer Verlosung inkl. Gewinner nach der Ziehung.

Detail einer Verlosung inkl. Gewinner nach der Ziehung.

Authorizations:
pr0Auth
query Parameters
id
required
integer

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "error": "string",
  • "serverNow": 0,
  • "raffle": {
    }
}

Macht aus einem eigenen gepoolten Wundertüten-Key eine Verlosung.

Macht aus einem eigenen gepoolten Wundertüten-Key eine Verlosung.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
offerId
required
integer
durationHours
required
integer

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "error": "string",
  • "raffleId": 0
}

Kauft ein Los. Der Einsatz verfällt, wenn man nicht gewinnt.

Kauft ein Los. Der Einsatz verfällt, wenn man nicht gewinnt.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
raffleId
required
integer

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "error": "string"
}

Bricht eine eigene offene Verlosung ab; alle Lose werden erstattet.

Bricht eine eigene offene Verlosung ab; alle Lose werden erstattet.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
raffleId
required
integer

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "error": "string"
}

Eigene Keys: als Geber (role=giver) oder gezogene/gewonnene (role=taker).

Eigene Keys: als Geber (role=giver) oder gezogene/gewonnene (role=taker).

Authorizations:
pr0Auth
query Parameters
role
required
string
page
integer

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "error": "string",
  • "atEnd": true,
  • "offers": [
    ]
}

Eigene Punkte-Historie (Keyset-Pagination) und aktueller Kontostand.

Eigene Punkte-Historie (Keyset-Pagination) und aktueller Kontostand.

Authorizations:
pr0Auth
query Parameters
olderThan
integer

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "balance": 0,
  • "entries": [
    ]
}

Bestenliste: die Nutzer mit den meisten Key-Punkten, plus eigener Platz.

Bestenliste: die Nutzer mit den meisten Key-Punkten, plus eigener Platz.

Authorizations:
pr0Auth

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "entries": [
    ],
  • "myBalance": 0,
  • "myRank": 0
}

Eigene "hab ich schon"-Blacklist (manuell + Steam-Sync-Status).

Eigene "hab ich schon"-Blacklist (manuell + Steam-Sync-Status).

Authorizations:
pr0Auth

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "manual": [
    ],
  • "steamCount": 0,
  • "useSteamBlacklist": true
}

Fügt ein Spiel zur manuellen Blacklist hinzu.

Fügt ein Spiel zur manuellen Blacklist hinzu.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
igdbId
required
integer

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "error": "string"
}

Entfernt einen manuellen Blacklist-Eintrag.

Entfernt einen manuellen Blacklist-Eintrag.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
entryId
required
integer

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "error": "string"
}

Verknüpft das Steam-Profil (SteamID64, Vanity-Name oder Profil-URL) für den Bibliotheks-Abgleich; leer = Verknüpfung lösen.

Verknüpft das Steam-Profil (SteamID64, Vanity-Name oder Profil-URL) für den Bibliotheks-Abgleich; leer = Verknüpfung lösen.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
steamInput
string

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "error": "string",
  • "status": "string",
  • "ownedCount": 0
}

Synchronisiert die Steam-Bibliothek in die Blacklist (manueller Anstoß).

Synchronisiert die Steam-Bibliothek in die Blacklist (manueller Anstoß).

Authorizations:
csrfProtected

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "error": "string",
  • "status": "string",
  • "ownedCount": 0
}

Schaltet den Steam-Bibliotheks-Abgleich beim Ziehen an/aus (Einträge bleiben erhalten).

Schaltet den Steam-Bibliotheks-Abgleich beim Ziehen an/aus (Einträge bleiben erhalten).

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
enabled
required
boolean

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "error": "string"
}

inbox

(Mutually) deletes a conversation with a user

(Mutually) deletes a conversation with a user

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
Any of
recipientId
required
integer <int64> (UserId)

Numeric ID of a user.

Responses

Response samples

Content type
application/json
{ }

Archives or unarchives a conversation for the current user

Archives or unarchives a conversation for the current user

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
Any of
recipientId
required
integer <int64> (UserId)

Numeric ID of a user.

archived
required
boolean

Responses

Response samples

Content type
application/json
{ }

Favorites or unfavorites a conversation for the current user

Favorites or unfavorites a conversation for the current user

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
Any of
recipientId
required
integer <int64> (UserId)

Numeric ID of a user.

favorite
required
boolean

Responses

Response samples

Content type
application/json
{ }

Sends a message to a user.

Sends a message to a user.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
Any of
comment
required
string
recipientId
required
integer <int64> (UserId)

Numeric ID of a user.

Responses

Response samples

Content type
application/json
Example
{
  • "success": false,
  • "error": "string"
}

Returns all pending notifications for the current user without marking them as read.

Returns all pending notifications for the current user without marking them as read.

Authorizations:
pr0Auth

Responses

Response samples

Content type
application/json
{
  • "messages": [
    ],
  • "digests": [
    ]
}

Marks a specific message as read

Marks a specific message as read

Authorizations:
pr0Auth
query Parameters
messageType
required
any (InboxMessageType)
Enum: "message" "comment" "notification" "follows"
messageId
required
integer <int64> (MessageId)

Numeric ID of a message/notification.

Responses

Response samples

Content type
application/json
{ }

Gets all inbox messages. Marks messages as read when retrieving.

Gets all inbox messages. Marks messages as read when retrieving.

Authorizations:
pr0Auth
query Parameters
older
integer <int64> (Timestamp)

Unix timestamp, in seconds.

markAsRead
boolean

Responses

Response samples

Content type
application/json
{
  • "messages": [
    ],
  • "atEnd": true
}

Gets the message that refer to comments. Marks messages a read when retrieving.

Gets the message that refer to comments. Marks messages a read when retrieving.

Authorizations:
pr0Auth
query Parameters
older
integer <int64> (Timestamp)

Unix timestamp, in seconds.

markAsRead
boolean

Responses

Response samples

Content type
application/json
{
  • "messages": [
    ],
  • "atEnd": true
}

Gets the system notifications. Marks messages a read when retrieving.

Gets the system notifications. Marks messages a read when retrieving.

Authorizations:
pr0Auth
query Parameters
older
integer <int64> (Timestamp)

Unix timestamp, in seconds.

markAsRead
boolean

Responses

Response samples

Content type
application/json
{
  • "messages": [
    ],
  • "atEnd": true
}

Marks all messages of the given inbox type as read.

Marks all messages of the given inbox type as read.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
type
required
any (InboxReadType)
Enum: "message" "comment" "notification" "follows"

Responses

Response samples

Content type
application/json
{ }

Gets the digests

Gets the digests

Authorizations:
pr0Auth
query Parameters
older
integer <int64> (Timestamp)

Unix timestamp, in seconds.

markAsRead
boolean

Responses

Response samples

Content type
application/json
{
  • "digests": [
    ],
  • "atEnd": true
}

Gets follow messages (subscriptions). Marks messages a read when retrieving.

Gets follow messages (subscriptions). Marks messages a read when retrieving.

Authorizations:
pr0Auth
query Parameters
older
integer <int64> (Timestamp)

Unix timestamp, in seconds.

markAsRead
boolean

Responses

Response samples

Content type
application/json
{
  • "messages": [
    ],
  • "atEnd": true
}

Gets the messages exchanged with a specific user. Marks messages a read when retrieving.

Gets the messages exchanged with a specific user. Marks messages a read when retrieving.

Authorizations:
pr0Auth
query Parameters
older
integer <int64> (Timestamp)

Unix timestamp, in seconds.

markAsRead
boolean
with
required
string (UserName)

The name of a user.

Responses

Response samples

Content type
application/json
{
  • "with": {
    },
  • "ownAvatar": "string",
  • "messages": [
    ],
  • "atEnd": true
}

Gets the conversation, that the user currently holds. Excludes deleted conversations.

Gets the conversation, that the user currently holds. Excludes deleted conversations.

Authorizations:
pr0Auth
query Parameters
older
integer <int64> (Timestamp)

Unix timestamp, in seconds.

filter
any (ConversationListFilterParam)
Enum: "favorites" "archived"

Responses

Response samples

Content type
application/json
{
  • "conversations": [
    ],
  • "atEnd": true
}

Checks if the current user blocks the provided user.

Checks if the current user blocks the provided user.

Authorizations:
pr0Auth
query Parameters
partner
required
string (UserName)

The name of a user.

Responses

Response samples

Content type
application/json
{
  • "blocked": true,
  • "canReceiveMessages": true,
  • "archived": true,
  • "favorited": true,
  • "partner": {
    }
}

items

Votes on a post/item.

Votes on a post/item.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
vote
required
any (ItemVote)
Enum: -1 0 1
id
required
integer <int64> (ItemId)

Numeric ID of an item/upload.

Responses

Response samples

Content type
application/json
Example
{
  • "success": true
}

Gets the uploads left of the current user.

Gets the uploads left of the current user.

Authorizations:
pr0Auth

Responses

Response samples

Content type
application/json
{
  • "left": 0
}

Uploads an item (image/video).

Uploads an item (image/video).

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
image
required
string <binary> (File)

Some file to upload. File type depends on the endpoint in question.

Responses

Response samples

Content type
application/json
{
  • "key": "string"
}

Submits a previously uploaded item to the processing queue.

Submits a previously uploaded item to the processing queue.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
tags
required
string (CommaSeparatedTags)

Comma-separated list of tags in a single string.

checkSimilar
boolean
targetCollectionId
integer <int64> (CollectionId)

Numeric ID of a collection.

scheduleDate
required
string
scheduleTime
required
string
comment
string
key
required
any (TODO)

Can be any value - string, number, boolean, array or object.

imageUrl
required
any (TODO)

Can be any value - string, number, boolean, array or object.

source
string
siteUrl
required
any (TODO)

Can be any value - string, number, boolean, array or object.

Responses

Response samples

Content type
application/json
Example
{
  • "success": false,
  • "error": "collectionNotFound",
  • "report": {
    }
}

Gets the uploads currently in the user's upload queue.

Gets the uploads currently in the user's upload queue.

Authorizations:
pr0Auth
query Parameters
id
integer

Responses

Response samples

Content type
application/json
{
  • "status": "string",
  • "item": {
    },
  • "position": 0
}

Gets preview info of a specific item.

Gets preview info of a specific item.

query Parameters
identifier
required
integer <int64> (ItemId)

Numeric ID of an item/upload.

Responses

Response samples

Content type
application/json
{
  • "preview": {
    }
}

Gets tags and comments to display under a specific item.

Gets tags and comments to display under a specific item.

query Parameters
itemId
required
integer <int64> (ItemId)

Numeric ID of an item/upload.

Responses

Response samples

Content type
application/json
{
  • "tags": [
    ],
  • "comments": [
    ]
}

Retrieves a list of items to display.

Retrieves a list of items to display.

query Parameters
flags
required
integer <int8> (ItemFlags)

Bitwise or (|) of item flags.

  • SWF = 1
  • NSFW = 2
  • NSFL = 4
  • NSFP = 8
  • POL = 16
id
integer <int64> (ItemId)

Numeric ID of an item/upload.

tags
string (CommaSeparatedTags)

Comma-separated list of tags in a single string.

user
string (UserName)

The name of a user.

promoted
boolean
collection
string (Slug)

Alphanumeric URL-safe string. See: https://www.semrush.com/blog/what-is-a-url-slug/

following
boolean
newer
integer <int64> (ItemId)

Numeric ID of an item/upload.

older
integer <int64> (ItemId)

Numeric ID of an item/upload.

self
boolean
show_junk
boolean

Responses

Response samples

Content type
application/json
{
  • "atStart": true,
  • "atEnd": true,
  • "error": "string",
  • "items": [
    ]
}

Returns a lost of the user's items that are currently set to be published in the future date.

Returns a lost of the user's items that are currently set to be published in the future date.

Authorizations:
pr0Auth

Responses

Response samples

Content type
application/json
{
  • "items": [
    ]
}

Returns items currently being processed (pending/processing) for the user.

Returns items currently being processed (pending/processing) for the user.

Authorizations:
pr0Auth

Responses

Response samples

Content type
application/json
{
  • "items": [
    ]
}

Publishes a scheduled item instantly, skipping scheduled time.

Publishes a scheduled item instantly, skipping scheduled time.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
queueId
required
integer <int64> (QueueId)

Numeric ID of an item/upload in the upload queue.

Responses

Response samples

Content type
application/json
{
  • "success": true
}

Removes an item that the user has currently scheduled, so it won't get posted anymore.

Removes an item that the user has currently scheduled, so it won't get posted anymore.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
id
required
integer <int64> (QueueId)

Numeric ID of an item/upload in the upload queue.

Responses

Response samples

Content type
application/json
{
  • "success": true
}

Removes all items that the user has currently scheduled, so they won't get posted anymore.

Removes all items that the user has currently scheduled, so they won't get posted anymore.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
object (ItemsRemoveallscheduledBodyParams)

Responses

Response samples

Content type
application/json
{
  • "success": true
}

Updates tags, comment, target collection and scheduled time of an item the user has scheduled for a future date. The media itself cannot be changed.

Updates tags, comment, target collection and scheduled time of an item the user has scheduled for a future date. The media itself cannot be changed.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
id
required
integer <int64> (QueueId)

Numeric ID of an item/upload in the upload queue.

tags
required
string (CommaSeparatedTags)

Comma-separated list of tags in a single string.

comment
string
source
string
targetCollectionId
integer <int64> (CollectionId)

Numeric ID of a collection.

scheduleDate
required
string
scheduleTime
required
string

Responses

Response samples

Content type
application/json
Example
{
  • "success": false,
  • "error": "paymentRequired"
}

kontakte

Gets the current user's Kontakte profile and feature config.

Gets the current user's Kontakte profile and feature config.

Authorizations:
pr0Auth

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "config": {
    },
  • "profile": {
    }
}

Creates or updates the current user's Kontakte profile.

Creates or updates the current user's Kontakte profile.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
bio
string
tags
Array of strings
zip
string
radius
integer
enabled
boolean

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "error": "string"
}

Returns swipeable candidate profiles for the current user.

Returns swipeable candidate profiles for the current user.

Authorizations:
pr0Auth
query Parameters
tag
string
limit
integer

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "profiles": [
    ]
}

Returns another user's Kontakte profile. Only enrolled users (with their own profile) may view it.

Returns another user's Kontakte profile. Only enrolled users (with their own profile) may view it.

Authorizations:
pr0Auth
query Parameters
name
required
string

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "error": "string",
  • "profile": {
    }
}

Suggests tags for autocomplete, only from existing Kontakte profiles.

Suggests tags for autocomplete, only from existing Kontakte profiles.

Authorizations:
pr0Auth
query Parameters
q
required
string

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "tags": [
    ]
}

Records a like/nope decision; reports whether it produced a match.

Records a like/nope decision; reports whether it produced a match.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
toUserId
required
integer
action
required
string

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "matched": true,
  • "error": "string"
}

Users who liked the current user (incoming likes).

Users who liked the current user (incoming likes).

Authorizations:
pr0Auth
query Parameters
page
integer

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "total": 0,
  • "users": [
    ]
}

Users the current user has liked (outgoing likes).

Users the current user has liked (outgoing likes).

Authorizations:
pr0Auth
query Parameters
page
integer

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "total": 0,
  • "users": [
    ]
}

Mutual likes (matches) of the current user.

Mutual likes (matches) of the current user.

Authorizations:
pr0Auth
query Parameters
page
integer

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "total": 0,
  • "users": [
    ]
}

Deletes the current user's nope decisions so those profiles reappear.

Deletes the current user's nope decisions so those profiles reappear.

Authorizations:
csrfProtected

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "removed": 0
}

Withdraws an outgoing like, so the user disappears from "liked" and reappears in discover.

Withdraws an outgoing like, so the user disappears from "liked" and reappears in discover.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
toUserId
required
integer

Responses

Response samples

Content type
application/json
{
  • "success": true
}

memes

Gets the memes left of the current user.

Gets the memes left of the current user.

Authorizations:
pr0Auth

Responses

Response samples

Content type
application/json
{
  • "left": 0
}

Lists available meme templates

Lists available meme templates

query Parameters
offset
integer
order
any (MemeTemplateOrder)
Enum: "popular" "own" ""

Responses

Response samples

Content type
application/json
{
  • "templates": [
    ]
}

Gets details for a specific meme template

Gets details for a specific meme template

query Parameters
id
required
integer

Responses

Response samples

Content type
application/json
{
  • "template": {
    }
}

Searches meme templates by tags or names

Searches meme templates by tags or names

query Parameters
q
required
string
offset
integer

Responses

Response samples

Content type
application/json
{
  • "templates": [
    ]
}

Returns a random meme template

Returns a random meme template

Responses

Response samples

Content type
application/json
{
  • "template": {
    }
}

Posts a generated meme as item to the stream.

Posts a generated meme as item to the stream.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
id
required
integer
tags
required
string (CommaSeparatedTags)

Comma-separated list of tags in a single string.

imageData
required
string <byte> (BinaryString)

base64 encoded binary data

Responses

Response samples

Content type
application/json
{
  • "error": "string",
  • "selfPosted": true,
  • "queueId": 0,
  • "report": "string",
  • "item": {
    }
}

Adds a template to meme browser.

Adds a template to meme browser.

Request Body schema: application/x-www-form-urlencoded
required
name
required
string
public
required
boolean
image
required
string <binary> (File)

Some file to upload. File type depends on the endpoint in question.

Responses

Response samples

Content type
application/json
{
  • "error": "string",
  • "templateId": 0
}

Removes a template from meme browser.

Removes a template from meme browser.

Request Body schema: application/x-www-form-urlencoded
required
id
required
integer

Responses

Response samples

Content type
application/json
{
  • "success": true
}

Switch between private and public.

Switch between private and public.

Request Body schema: application/x-www-form-urlencoded
required
id
required
integer
private
required
boolean

Responses

Response samples

Content type
application/json
{
  • "success": true
}

Updates the text positions of a meme template

Updates the text positions of a meme template

Request Body schema: application/x-www-form-urlencoded
required
id
required
integer
data
required
string (JsonEncodedData)

Some bag of data that is JSON encoded.

Responses

Response samples

Content type
application/json
{
  • "success": true
}

Endpoint used by OAuth 2.0 clients to retrieve an access token.

Endpoint used by OAuth 2.0 clients to retrieve an access token.

Request Body schema: application/x-www-form-urlencoded
required
grant_type
required
any
Value: "authorization_code"
code
required
string (OAuthAuthCode)

Code that is obtained via OAuth and used to request an access token.

redirect_uri
required
string
client_id
string (OAuthClientId)

OAuth client id.

client_secret
string

Responses

Response samples

Content type
application/json
{
  • "access_token": "string",
  • "token_type": "string",
  • "scope": "string"
}

Used by the frontend to get OAuth data that is then supplied to the return_uri of the OAuth client.

Used by the frontend to get OAuth data that is then supplied to the return_uri of the OAuth client.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
clientId
required
string (OAuthClientId)

OAuth client id.

scope
required
string
state
required
string (OAuthState)

Random state that is used to validate the OAuth request.

redirectUri
required
string

Responses

Response samples

Content type
application/json
{
  • "error": "string",
  • "authCode": "string",
  • "userId": "string",
  • "state": "string",
  • "scopes": [
    ]
}

Revokes authorization of a previously authorized application.

Revokes authorization of a previously authorized application.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
clientId
required
string (OAuthClientId)

OAuth client id.

Responses

Response samples

Content type
application/json
{
  • "success": true
}

Returns information to display about an app in the OAuth dialog.

Returns information to display about an app in the OAuth dialog.

Authorizations:
pr0Auth
query Parameters
clientId
required
string (OAuthClientId)

OAuth client id.

scope
required
string
redirectUrl
required
string

Responses

Response samples

Content type
application/json
{
  • "clientInfo": {
    },
  • "permissions": [
    ]
}

Gets current version of seen data for the current user. If `version` is null, the user does not have any data on the server.

Gets current version of seen data for the current user. If version is null, the user does not have any data on the server.

Authorizations:
pr0Auth

Responses

Response samples

Content type
application/json
{
  • "identifier": "string",
  • "version": 0
}

Gets seen data for the current user.

Gets seen data for the current user.

Authorizations:
pr0Auth
query Parameters
binary
boolean
uncompressed
boolean

Responses

Response samples

Content type
application/json
{
  • "identifier": "string",
  • "version": 0,
  • "value": "string"
}

Updates seen data for the current user (app compatibility endpoint).

Updates seen data for the current user (app compatibility endpoint).

Authorizations:
csrfProtected
query Parameters
compressed
boolean

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "version": 0
}

Returns binary data as the body of the response, so the client doesn't have to parse a large JSON with a 1mb base64 encoded string in it.

Returns binary data as the body of the response, so the client doesn't have to parse a large JSON with a 1mb base64 encoded string in it.

Authorizations:
pr0Auth
query Parameters
compressed
required
boolean

Responses

Edits/updates seen data for the current user (frontend endpoint).

Edits/updates seen data for the current user (frontend endpoint).

Authorizations:
csrfProtected
query Parameters
nonce
required
string
version
required
integer

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "version": 0,
  • "error": "string"
}

polls

Gets the active poll or a specific poll with all questions

Gets the active poll or a specific poll with all questions

Authorizations:
pr0Auth
query Parameters
id
integer

Responses

Response samples

Content type
application/json
Example
{
  • "success": false,
  • "error": "notFound"
}

Votes on a poll

Votes on a poll

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
pollId
required
integer
required
object (PollAnswers)

Responses

Response samples

Content type
application/json
Example
{
  • "success": false,
  • "error": "notFound"
}

Checks if the current user has already participated in the active poll

Checks if the current user has already participated in the active poll

Authorizations:
pr0Auth

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "hasVoted": true
}

Gets the results of the active poll or a specific poll

Gets the results of the active poll or a specific poll

Authorizations:
pr0Auth
query Parameters
id
integer

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "error": "string",
  • "results": {
    }
}

profile

Gets preview data that is usually displayed as a preview when hovering over a link to a mentioned user.

Gets preview data that is usually displayed as a preview when hovering over a link to a mentioned user.

Authorizations:
pr0Auth
query Parameters
identifier
required
string (UserName)

The name of a user.

Responses

Response samples

Content type
application/json
{
  • "preview": {
    }
}

Get the profile info of some user.

Get the profile info of some user.

Authorizations:
pr0Auth
query Parameters
name
required
string
flags
required
integer <int8> (ItemFlags)

Bitwise or (|) of item flags.

  • SWF = 1
  • NSFW = 2
  • NSFL = 4
  • NSFP = 8
  • POL = 16
uploadLimit
integer
commentLimit
integer

Responses

Response samples

Content type
application/json
{
  • "user": {
    },
  • "comments": [
    ],
  • "commentCount": 0,
  • "comments_likes": [
    ],
  • "commentLikesCount": 0,
  • "uploads": [
    ],
  • "uploadCount": 0,
  • "collections": [
    ],
  • "curatorCollections": [
    ],
  • "collectedCount": 0,
  • "likesArePublic": true,
  • "pr0mium": 0,
  • "pr0miumGift": 0,
  • "tagCount": 0,
  • "badges": [
    ],
  • "background": {
    },
  • "followCount": 0,
  • "following": true,
  • "subscribed": true,
  • "blocked": true
}

Follow a user.

Follow a user.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
name
required
string (UserName)

The name of a user.

Responses

Response samples

Content type
application/json
{
  • "follows": true
}

Unfollows a user. Crazy, right?

Unfollows a user. Crazy, right?

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
name
required
string (UserName)

The name of a user.

Responses

Response samples

Content type
application/json
{
  • "follows": true
}

Subscribes to a user.

Subscribes to a user.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
name
required
string (UserName)

The name of a user.

Responses

Response samples

Content type
application/json
{
  • "subscribed": true
}

Unsubscribes from a user. May keep the follow status if provided.

Unsubscribes from a user. May keep the follow status if provided.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
name
required
string (UserName)

The name of a user.

keepFollow
required
boolean

Responses

Response samples

Content type
application/json
{
  • "subscribed": true,
  • "follows": true
}

Sets the subscription status of a user. Subscribe/Following/Not Following.

Sets the subscription status of a user. Subscribe/Following/Not Following.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
userId
required
integer <int64> (UserId)

Numeric ID of a user.

status
required
any (FollowStatus)
Enum: "none" "follow" "subscribe"

Responses

Response samples

Content type
application/json
Example
{
  • "success": false
}

Sets the subscription status of a tag. Subscribe (with notifications) / Following (without) / Not following.

Sets the subscription status of a tag. Subscribe (with notifications) / Following (without) / Not following.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
tag
required
string
status
required
any (FollowStatus)
Enum: "none" "follow" "subscribe"

Responses

Response samples

Content type
application/json
Example
{
  • "success": false
}

Blocks a user. Note that not all users can be blocked, depending on their user status (admin, mod, etc.).

Blocks a user. Note that not all users can be blocked, depending on their user status (admin, mod, etc.).

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
name
required
string (UserName)

The name of a user.

Responses

Response samples

Content type
application/json
{
  • "blocked": true
}

Unblocks a user. Will not throw any error when the user is not blocked.

Unblocks a user. Will not throw any error when the user is not blocked.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
name
required
string (UserName)

The name of a user.

Responses

Response samples

Content type
application/json
{
  • "blocked": true
}

Adds a tag to the user's tag-block list. Items containing this tag will be hidden in feed and search.

Adds a tag to the user's tag-block list. Items containing this tag will be hidden in feed and search.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
tag
required
string

Responses

Response samples

Content type
application/json
{
  • "blocked": true
}

Removes a tag from the user's tag-block list. Will not throw any error when the tag is not blocked.

Removes a tag from the user's tag-block list. Will not throw any error when the tag is not blocked.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
tag
required
string

Responses

Response samples

Content type
application/json
{
  • "blocked": true
}

Gets the comments of a user with respect to before/after.

Gets the comments of a user with respect to before/after.

Authorizations:
pr0Auth
query Parameters
name
required
string (UserName)

The name of a user.

before
integer <int64> (Timestamp)

Unix timestamp, in seconds.

after
integer <int64> (Timestamp)

Unix timestamp, in seconds.

flags
integer <int8> (ItemFlags)

Bitwise or (|) of item flags.

  • SWF = 1
  • NSFW = 2
  • NSFL = 4
  • NSFP = 8
  • POL = 16

Responses

Response samples

Content type
application/json
{
  • "comments": [
    ],
  • "hasOlder": true,
  • "hasNewer": true,
  • "user": {
    }
}

Gets the liked comments of a user with respect to before/after.

Gets the liked comments of a user with respect to before/after.

Authorizations:
pr0Auth
query Parameters
name
required
string (UserName)

The name of a user.

before
integer <int64> (Timestamp)

Unix timestamp, in seconds.

after
integer <int64> (Timestamp)

Unix timestamp, in seconds.

flags
integer <int8> (ItemFlags)

Bitwise or (|) of item flags.

  • SWF = 1
  • NSFW = 2
  • NSFL = 4
  • NSFP = 8
  • POL = 16

Responses

Response samples

Content type
application/json
{
  • "likesArePublic": true,
  • "comments": [
    ],
  • "hasOlder": true,
  • "hasNewer": true,
  • "user": {
    }
}

Gets suggestions for user names based on a specified prefix. Can be used for auto completion.

Gets suggestions for user names based on a specified prefix. Can be used for auto completion.

Authorizations:
pr0Auth
query Parameters
prefix
required
string

Responses

Response samples

Content type
application/json
{
  • "users": [
    ],
  • "suggestions": [
    ]
}

promobanners

Gets all active promo banners

Gets all active promo banners

Responses

Response samples

Content type
application/json
{
  • "banners": [
    ]
}

push

Subscribes to web push notifications. Just send the subscription as the body (form-url-encoded :harold.jpg:).

Subscribes to web push notifications. Just send the subscription as the body (form-url-encoded :harold.jpg:).

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
required
object (WebPushSubscription)

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "subscription": {
    }
}

Unsubscribes from web push notifications.

Unsubscribes from web push notifications.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
required
object (WebPushSubscriptionEndpoint)

Responses

Response samples

Content type
application/json
{
  • "success": true
}

user-stats

Returns common stats for the current user. Requires a paid subscription.

Returns common stats for the current user. Requires a paid subscription.

Authorizations:
pr0Auth

Responses

Response samples

Content type
application/json
{
  • "user": {
    },
  • "scoreHistory": [
    ],
  • "favCount": {
    },
  • "followers": {
    },
  • "messages": {
    },
  • "blocks": {
    },
  • "score": {
    },
  • "absScore": {
    },
  • "bannedDays": 0,
  • "topScoredItems": [
    ],
  • "lowestScoredItems": [
    ],
  • "topScoredComments": [
    ],
  • "lowestScoredComments": [
    ],
  • "topScoredTags": [
    ],
  • "lowestScoredTags": [
    ],
  • "topCollectedItems": [
    ],
  • "topFavedComments": [
    ]
}

Returns the score history for the current user.

Returns the score history for the current user.

Authorizations:
pr0Auth

Responses

Response samples

Content type
application/json
{
  • "history": [
    ],
  • "currentScore": 0
}

stickers

Lists available stickers

Lists available stickers

query Parameters
offset
integer
tag
string
order
any (StickerOrder)
Enum: "recent" "own" ""

Responses

Response samples

Content type
application/json
{
  • "stickers": [
    ],
  • "atEnd": true
}

Searches stickers by tags or names

Searches stickers by tags or names

query Parameters
q
required
string
offset
integer

Responses

Response samples

Content type
application/json
{
  • "stickers": [
    ],
  • "atEnd": true
}

Gets stickers for a specific tag

Gets stickers for a specific tag

query Parameters
tag
required
string
offset
integer

Responses

Response samples

Content type
application/json
{
  • "stickers": [
    ],
  • "atEnd": true
}

Uploads a new sticker

Uploads a new sticker

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
name
required
string
tags
string
private
boolean
image
required
string <binary> (File)

Some file to upload. File type depends on the endpoint in question.

Responses

Response samples

Content type
application/json
{
  • "id": 0,
  • "filename": "string"
}

Deletes an own sticker

Deletes an own sticker

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
id
required
integer

Responses

Response samples

Content type
application/json
{
  • "success": true
}

subscriptions

Gets the current user's content subscription settings.

Gets the current user's content subscription settings.

Authorizations:
pr0Auth
query Parameters
type
required
string

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "subscription": {
    }
}

Updates the current user's content subscription settings.

Updates the current user's content subscription settings.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
type
required
string
enabled
required
boolean
notify_pm
boolean
notify_email
boolean

Responses

Response samples

Content type
application/json
Example
{
  • "success": false,
  • "error": "updateFailed"
}

tags

Adds multiple tags to an item. Tags must be comma-separated.

Adds multiple tags to an item. Tags must be comma-separated.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
tags
required
string (CommaSeparatedTags)

Comma-separated list of tags in a single string.

itemId
required
integer <int64> (ItemId)

Numeric ID of an item/upload.

Responses

Response samples

Content type
application/json
{
  • "tags": [
    ],
  • "tagIds": [
    ]
}

Vote on a tag.

Vote on a tag.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
id
required
integer <int64> (TagId)

Numeric ID of a tag.

vote
required
any (TagVote)
Enum: -1 0 1

Responses

Response samples

Content type
application/json
{ }

Returns the latest tags across the whole site.

Returns the latest tags across the whole site.

Responses

Response samples

Content type
application/json
{
  • "tags": [
    ]
}

List of top tags for tag recommendations.

List of top tags for tag recommendations.

Responses

Response samples

Content type
application/json
{
  • "tags": [
    ],
  • "trending": [
    ],
  • "blacklist": [
    ]
}

Returns the tag chronicle for a specific year.

Returns the tag chronicle for a specific year.

Authorizations:
pr0Auth
query Parameters
year
required
integer

Responses

Response samples

Content type
application/json
{
  • "chronicle": {
    },
  • "hasMore": true
}

Searches for event tags in the chronicle

Searches for event tags in the chronicle

Authorizations:
pr0Auth
query Parameters
query
required
string

Responses

Response samples

Content type
application/json
{
  • "results": [
    ]
}

textpost

Erzeugt eine KI-Kurzzusammenfassung (tl;dr) für einen Text-Post

Erzeugt eine KI-Kurzzusammenfassung (tl;dr) für einen Text-Post

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
text
required
string

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "tldr": "string"
}

user

Bans the user of the current session.

Bans the user of the current session.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
currentPassword
required
string (Password)

Some password.

days
required
number

Responses

Response samples

Content type
application/json
Example
{
  • "success": true
}

Exclude the user of the current session from filter flag.

Exclude the user of the current session from filter flag.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
currentPassword
required
string (Password)

Some password.

days
required
number
flag
required
integer <int8> (ItemFlags)

Bitwise or (|) of item flags.

  • SWF = 1
  • NSFW = 2
  • NSFL = 4
  • NSFP = 8
  • POL = 16

Responses

Response samples

Content type
application/json
Example
{
  • "success": true
}

Gets the globally unique identifier of the logged-in user.

Gets the globally unique identifier of the logged-in user.

Authorizations:
pr0Auth

Responses

Response samples

Content type
application/json
{
  • "identifier": "string"
}

Gets the score ("benis") of the logged-in user.

Gets the score ("benis") of the logged-in user.

Authorizations:
pr0Auth

Responses

Response samples

Content type
application/json
{
  • "score": 0
}

Returns the sync log of the logged-in user.

Returns the sync log of the logged-in user.

Authorizations:
pr0Auth
query Parameters
offset
required
integer <int64> (SyncOffset)

Offset in the sync log.

chunked
boolean
limit
integer

Responses

Response samples

Content type
application/json
{
  • "log": "string",
  • "logLength": 0,
  • "score": 0,
  • "hasMore": true,
  • "nextOffset": 0,
  • "inbox": {
    },
  • "settings": {
    }
}

Resets the sync log and seen data for the current user.

Resets the sync log and seen data for the current user.

Authorizations:
csrfProtected

Responses

Response samples

Content type
application/json
{ }

Well, log in.

Well, log in.

Request Body schema: application/x-www-form-urlencoded
required
name
required
string
password
required
string
token
required
string
captcha
required
string

Responses

Response samples

Content type
application/json
Example
{
  • "success": true,
  • "ban": null,
  • "info": null,
  • "identifier": "string"
}

Well, logs out.

Well, logs out.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
id
required
string (SessionId)

Alphanumeric ID of the user's session.

Responses

Response samples

Content type
application/json
{
  • "success": true
}

Loads information about an invite token.

Loads information about an invite token.

query Parameters
token
required
string (InviteToken)

Token that can be used to join the site.

Responses

Response samples

Content type
application/json
{
  • "error": "string",
  • "email": "user@example.com"
}

Validates email address using token from email. Does not require authentication. Sets session cookie on success.

Validates email address using token from email. Does not require authentication. Sets session cookie on success.

Request Body schema: application/x-www-form-urlencoded
required
token
required
string

Responses

Response samples

Content type
application/json
{
  • "success": true
}

Gets the excluded flags of the current user with their valid until date.

Gets the excluded flags of the current user with their valid until date.

Authorizations:
pr0Auth

Responses

Response samples

Content type
application/json
{
  • "excludedFlags": [
    ]
}

Gets the users that the current logged-in user is following.

Gets the users that the current logged-in user is following.

Authorizations:
pr0Auth
query Parameters
flags
required
integer <int8> (ItemFlags)

Bitwise or (|) of item flags.

  • SWF = 1
  • NSFW = 2
  • NSFL = 4
  • NSFP = 8
  • POL = 16

Responses

Response samples

Content type
application/json
{
  • "list": [
    ]
}

Gets the tags the current logged-in user has subscribed to, newest first.

Gets the tags the current logged-in user has subscribed to, newest first.

Authorizations:
pr0Auth

Responses

Response samples

Content type
application/json
{
  • "list": [
    ]
}

Gets the blocked users of the logged-in user.

Gets the blocked users of the logged-in user.

Authorizations:
pr0Auth

Responses

Response samples

Content type
application/json
{
  • "blockedUsers": [
    ]
}

Gets the tags blocked by the logged-in user, newest first.

Gets the tags blocked by the logged-in user, newest first.

Authorizations:
pr0Auth

Responses

Response samples

Content type
application/json
{
  • "blockedTags": [
    ]
}

Sends the password reset mail. Triggers initial, E-mail based password recovery

Sends the password reset mail. Triggers initial, E-mail based password recovery

Request Body schema: application/x-www-form-urlencoded
required
email
required
string <email> (EMail)

An E-Mail address.

Responses

Response samples

Content type
application/json
{
  • "success": true
}

Triggers password reset.

Triggers password reset.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
token
required
string (SessionId)

Alphanumeric ID of the user's session.

name
required
string (UserName)

The name of a user.

password
required
string

Responses

Response samples

Content type
application/json
{
  • "error": "string"
}

Gets the status of the age validation of the current user.

Gets the status of the age validation of the current user.

Authorizations:
pr0Auth

Responses

Response samples

Content type
application/json
{
  • "verified": true,
  • "pendingVerification": true
}

Get the info of current user.

Get the info of current user.

Authorizations:
pr0Auth

Responses

Response samples

Content type
application/json
{
  • "account": {
    },
  • "invited": [
    ],
  • "invitesDetached": 0,
  • "invitesRemaining": 0,
  • "payments": 0,
  • "subscriptions": [
    ],
  • "curatorCollections": [
    ],
  • "authorizedApps": [
    ],
  • "promotedApps": [
    ],
  • "digests": {
    },
  • "enableEmailNotifications": true,
  • "backgrounds": {
    },
  • "canChangeName": true,
  • "nameLastChanged": 0,
  • "inviteEligible": {
    },
  • "inviteEligibilityData": {
    }
}

Changes the password of the current user.

Changes the password of the current user.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
password
required
string
currentPassword
required
string (Password)

Some password.

Responses

Response samples

Content type
application/json
Example
{
  • "success": false,
  • "error": "passwordInvalid"
}

Sets if the user gets a device mail.

Sets if the user gets a device mail.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
deviceMail
required
boolean

Responses

Response samples

Content type
application/json
{
  • "account": {
    },
  • "invited": [
    ],
  • "invitesDetached": 0,
  • "invitesRemaining": 0,
  • "payments": 0,
  • "subscriptions": [
    ],
  • "curatorCollections": [
    ],
  • "authorizedApps": [
    ],
  • "promotedApps": [
    ],
  • "digests": {
    },
  • "enableEmailNotifications": true,
  • "backgrounds": {
    },
  • "canChangeName": true,
  • "nameLastChanged": 0,
  • "inviteEligible": {
    },
  • "inviteEligibilityData": {
    },
  • "error": "string"
}

Simple email re-confirmation via click. Only for users whose email was previously verified.

Simple email re-confirmation via click. Only for users whose email was previously verified.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
object (UserConfirmemailBodyParams)

Responses

Response samples

Content type
application/json
{
  • "account": {
    },
  • "invited": [
    ],
  • "invitesDetached": 0,
  • "invitesRemaining": 0,
  • "payments": 0,
  • "subscriptions": [
    ],
  • "curatorCollections": [
    ],
  • "authorizedApps": [
    ],
  • "promotedApps": [
    ],
  • "digests": {
    },
  • "enableEmailNotifications": true,
  • "backgrounds": {
    },
  • "canChangeName": true,
  • "nameLastChanged": 0,
  • "inviteEligible": {
    },
  • "inviteEligibilityData": {
    }
}

Sends a verification email to confirm the user's current email address.

Sends a verification email to confirm the user's current email address.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
object (UserSendemailverificationBodyParams)

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "mailSent": true
}

Confirms the user's email address using a verification token from email.

Confirms the user's email address using a verification token from email.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
token
required
string

Responses

Response samples

Content type
application/json
{
  • "account": {
    },
  • "invited": [
    ],
  • "invitesDetached": 0,
  • "invitesRemaining": 0,
  • "payments": 0,
  • "subscriptions": [
    ],
  • "curatorCollections": [
    ],
  • "authorizedApps": [
    ],
  • "promotedApps": [
    ],
  • "digests": {
    },
  • "enableEmailNotifications": true,
  • "backgrounds": {
    },
  • "canChangeName": true,
  • "nameLastChanged": 0,
  • "inviteEligible": {
    },
  • "inviteEligibilityData": {
    }
}

Triggers change of e-mail address.

Triggers change of e-mail address.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
currentPassword
required
string (Password)

Some password.

email
required
string <email> (EMail)

An E-Mail address.

Responses

Response samples

Content type
application/json
Example
{
  • "success": true,
  • "account": {
    },
  • "invited": [
    ],
  • "invitesDetached": 0,
  • "invitesRemaining": 0,
  • "payments": 0,
  • "subscriptions": [
    ],
  • "curatorCollections": [
    ],
  • "authorizedApps": [
    ],
  • "promotedApps": [
    ],
  • "digests": {
    },
  • "enableEmailNotifications": true,
  • "backgrounds": {
    },
  • "canChangeName": true,
  • "nameLastChanged": 0,
  • "inviteEligible": {
    },
  • "inviteEligibilityData": {
    }
}

Changes the e-mail address of a user.

Changes the e-mail address of a user.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
token
required
string

Responses

Response samples

Content type
application/json
{
  • "account": {
    },
  • "invited": [
    ],
  • "invitesDetached": 0,
  • "invitesRemaining": 0,
  • "payments": 0,
  • "subscriptions": [
    ],
  • "curatorCollections": [
    ],
  • "authorizedApps": [
    ],
  • "promotedApps": [
    ],
  • "digests": {
    },
  • "enableEmailNotifications": true,
  • "backgrounds": {
    },
  • "canChangeName": true,
  • "nameLastChanged": 0,
  • "inviteEligible": {
    },
  • "inviteEligibilityData": {
    },
  • "error": "string"
}

Changes the display name on pr0gramm.com. If it succeeds, the current session will be invalidated. Password is needed for security reasons as well as to make sure that the user can log in again.

Changes the display name on pr0gramm.com. If it succeeds, the current session will be invalidated. Password is needed for security reasons as well as to make sure that the user can log in again.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
currentPassword
required
string (Password)

Some password.

username
required
string (UserName)

The name of a user.

Responses

Response samples

Content type
application/json
Example
{
  • "success": false,
  • "error": "passwordInvalid"
}

Sends an invitation to a user. Decrements available invites of the current user.

Sends an invitation to a user. Decrements available invites of the current user.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
email
required
string <email> (EMail)

An E-Mail address.

Responses

Response samples

Content type
application/json
Example
{
  • "account": {
    },
  • "invited": [
    ],
  • "invitesDetached": 0,
  • "invitesRemaining": 0,
  • "payments": 0,
  • "subscriptions": [
    ],
  • "curatorCollections": [
    ],
  • "authorizedApps": [
    ],
  • "promotedApps": [
    ],
  • "digests": {
    },
  • "enableEmailNotifications": true,
  • "backgrounds": {
    },
  • "canChangeName": true,
  • "nameLastChanged": 0,
  • "inviteEligible": {
    },
  • "inviteEligibilityData": {
    }
}

Detaches an invitee of the current user.

Detaches an invitee of the current user.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
userId
required
integer <int64> (UserId)

Numeric ID of a user.

Responses

Response samples

Content type
application/json
Example
{
  • "success": false,
  • "error": "recentlyCreated"
}

Detaches the user's account from his inviter.

Detaches the user's account from his inviter.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
object (UserDetachselfBodyParams)

Responses

Response samples

Content type
application/json
Example
{
  • "success": false,
  • "error": "recentlyCreated"
}

Updates the settings that were passed.

Updates the settings that were passed.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
themeId
any (ThemeId)
Enum: 0 1 2 3 4 5
layoutMode
any (LayoutMode)
Enum: "modern" "classic"
arrowKeyMode
any (ArrowKeyMode)
Enum: "arrows" "arrowsWithScroll" "legacy"
contentMaxWidth
any (ContentMaxWidth)
Enum: "auto" "1400" "1800" "2200"
itemLayoutMode
any (ItemLayoutMode)
Enum: "modern" "classic" "zen" "reader" "theater"
blockedCommentMode
any (BlockedCommentMode)
Enum: "collapse_subtree" "collapse_only" "hide_subtree" "show_all"
favUpvote
any (NumberBoolean)
Enum: 0 1
likesArePublic
any (NumberBoolean)
Enum: 0 1
legacyPath
any (NumberBoolean)
Enum: 0 1
enableItemHistory
any (NumberBoolean)
Enum: 0 1
markSeenItems
any (NumberBoolean)
Enum: 0 1
showSeenNav
any (NumberBoolean)
Enum: 0 1
colorCommentIndentationLines
any (NumberBoolean)
Enum: 0 1
showBookmarkBar
any (NumberBoolean)
Enum: 0 1
showBlockActions
any (NumberBoolean)
Enum: 0 1
showAvatars
any (NumberBoolean)
Enum: 0 1
showThumbnailFlags
any (NumberBoolean)
Enum: 0 1
showVideoPreview
any (NumberBoolean)
Enum: 0 1
enableVoteToggle
any (NumberBoolean)
Enum: 0 1
enableDailyDigest
any (NumberBoolean)
Enum: 0 1
enableWeeklyDigest
any (NumberBoolean)
Enum: 0 1
enableEmailNotifications
any (NumberBoolean)
Enum: 0 1
profileBackgroundId
integer
junkSeparation
any (NumberBoolean)
Enum: 0 1
collapseLongComments
any (NumberBoolean)
Enum: 0 1
hideDownvotedComments
any (NumberBoolean)
Enum: 0 1
autoCollapseDeepComments
any (NumberBoolean)
Enum: 0 1
sfwResetEnabled
any (NumberBoolean)
Enum: 0 1
defaultToNew
any (NumberBoolean)
Enum: 0 1
userStatus
any (UserMarkSelection)
Enum: "default" "paid"

Responses

Response samples

Content type
application/json
{
  • "account": {
    },
  • "invited": [
    ],
  • "invitesDetached": 0,
  • "invitesRemaining": 0,
  • "payments": 0,
  • "subscriptions": [
    ],
  • "curatorCollections": [
    ],
  • "authorizedApps": [
    ],
  • "promotedApps": [
    ],
  • "digests": {
    },
  • "enableEmailNotifications": true,
  • "backgrounds": {
    },
  • "canChangeName": true,
  • "nameLastChanged": 0,
  • "inviteEligible": {
    },
  • "inviteEligibilityData": {
    }
}

Gets a single site setting.

Gets a single site setting.

Authorizations:
pr0Auth
query Parameters
required
BooleanSiteSetting (any) or IntegerSiteSetting (any) or StringSiteSetting (any) (UpdatableSiteSetting)

Responses

Response samples

Content type
application/json
{
  • "value": true
}

Updates the user's settings regarding the UI and account settings.

Updates the user's settings regarding the UI and account settings.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
likesArePublic
required
boolean
themeId
required
any (ThemeId)
Enum: 0 1 2 3 4 5
layoutMode
required
any (LayoutMode)
Enum: "modern" "classic"
arrowKeyMode
required
any (ArrowKeyMode)
Enum: "arrows" "arrowsWithScroll" "legacy"
contentMaxWidth
required
any (ContentMaxWidth)
Enum: "auto" "1400" "1800" "2200"
itemLayoutMode
required
any (ItemLayoutMode)
Enum: "modern" "classic" "zen" "reader" "theater"
blockedCommentMode
required
any (BlockedCommentMode)
Enum: "collapse_subtree" "collapse_only" "hide_subtree" "show_all"
showAds
required
boolean
favUpvote
required
boolean
legacyPath
required
boolean
enableItemHistory
required
boolean
markSeenItems
required
boolean
showSeenNav
required
boolean
showVideoPreview
required
boolean
enableVoteToggle
required
boolean
enableDailyDigest
required
boolean
enableWeeklyDigest
required
boolean
enableEmailNotifications
required
boolean
profileBackgroundId
integer
junkSeparation
required
boolean
collapseLongComments
required
boolean
hideDownvotedComments
required
boolean
autoCollapseDeepComments
required
boolean
sfwResetEnabled
required
boolean
defaultToNew
required
boolean
colorCommentIndentationLines
required
boolean
showBookmarkBar
required
boolean
showBlockActions
required
boolean
showAvatars
required
boolean
userStatus
required
any (UserMarkSelection)
Enum: "default" "paid"

Responses

Response samples

Content type
application/json
{
  • "account": {
    },
  • "invited": [
    ],
  • "invitesDetached": 0,
  • "invitesRemaining": 0,
  • "payments": 0,
  • "subscriptions": [
    ],
  • "curatorCollections": [
    ],
  • "authorizedApps": [
    ],
  • "promotedApps": [
    ],
  • "digests": {
    },
  • "enableEmailNotifications": true,
  • "backgrounds": {
    },
  • "canChangeName": true,
  • "nameLastChanged": 0,
  • "inviteEligible": {
    },
  • "inviteEligibilityData": {
    }
}

Gets the captcha to perform a login. The 'captcha' field is a URL to a captcha.

Gets the captcha to perform a login. The 'captcha' field is a URL to a captcha.

query Parameters
buster
string

Responses

Response samples

Content type
application/json
{
  • "token": "string",
  • "captcha": "string"
}

Gets the username of the logged-in user.

Gets the username of the logged-in user.

Authorizations:
pr0Auth

Responses

Response samples

Content type
application/json
{
  • "name": "string"
}

Returns if the request is done with a session that has a valid user.

Returns if the request is done with a session that has a valid user.

Responses

Response samples

Content type
application/json
{
  • "name": "string",
  • "registered": 0,
  • "identifier": "string",
  • "mark": 0,
  • "score": 0,
  • "banInfo": {
    },
  • "subscribedUntil": 0,
  • "avatar": "string"
}

Whether the user has access to the beta.

Whether the user has access to the beta.

query Parameters
user
required
string

Responses

Response samples

Content type
application/json
{
  • "name": "string",
  • "hasAccess": true
}

Request account deletion. Sends confirmation email.

Request account deletion. Sends confirmation email.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
currentPassword
required
string (Password)

Some password.

confirmation
required
string
deleteMode
any (DeleteModeInput)
Enum: "soft" "hard"

Responses

Response samples

Content type
application/json
Example
{
  • "success": true
}

Confirm account deletion via email link. Starts 7-day cooling-off period.

Confirm account deletion via email link. Starts 7-day cooling-off period.

Authorizations:
csrfProtected
Request Body schema: application/x-www-form-urlencoded
required
token
required
string

Responses

Response samples

Content type
application/json
Example
{
  • "success": true,
  • "scheduledDeletionAt": 0
}

Cancel a pending account deletion during cooling-off period.

Cancel a pending account deletion during cooling-off period.

Authorizations:
csrfProtected

Responses

Response samples

Content type
application/json
Example
{
  • "success": true
}

Get current account deletion status.

Get current account deletion status.

Authorizations:
pr0Auth

Responses

Response samples

Content type
application/json
{
  • "hasPendingDeletion": true,
  • "status": "pending_confirmation",
  • "scheduledDeletionAt": 0,
  • "tokenExpiresAt": 0,
  • "deleteMode": "soft",
  • "canUseHardDelete": true,
  • "uploadCount": 0
}

Check if data export is available.

Check if data export is available.

Authorizations:
pr0Auth

Responses

Response samples

Content type
application/json
{
  • "available": true,
  • "nextExportAt": 0,
  • "lastExportAt": 0
}

Download Bestandsdaten-Auskunft (inventory data disclosure). Format: html (default) or json for machine-readable export (Art. 20 DSGVO).

Download Bestandsdaten-Auskunft (inventory data disclosure). Format: html (default) or json for machine-readable export (Art. 20 DSGVO).

Authorizations:
csrfProtected

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "error": "rateLimited",
  • "nextExportAt": 0,
  • "format": "string",
  • "data": {
    }
}

media-variants

Gets available quality variants for adaptive video playback.

Gets available quality variants for adaptive video playback.

query Parameters
itemId
required
integer <int64> (ItemId)

Numeric ID of an item/upload.

Responses

Response samples

Content type
application/json
{
  • "itemId": 0,
  • "h264": [
    ],
  • "vp9": [
    ]
}